require_relative 'connection'

class GraphNode
	attr_accessor :name
	attr_accessor :content
	attr_accessor :marked
	attr_reader :connections

	def initialize name, content
		@name = name
		@content = content
		@connections = {}
		@marked = false
	end

	def addConnection to, weight
		@connections[to] = Connection.new(to,weight)
	end

	def getConnection name
		return @connections[name]
	end

	def connectedTo? name
		return getConnection(name) != nil
	end
end